当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 3 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : Ubuntu 16.04 软件更新提示“需要安装不能信任的软件包”
帖子发表于 : 2017-06-17 12:08 

注册: 2014-12-06 20:56
帖子: 5
系统: ubuntu
送出感谢: 1
接收感谢: 0 次
使用Ubuntu 16.04 的时候,突然出现了"需要安装不能信任的软件包"的提示,无法安装更新。
网上搜索说用 sudo apt-get update可以解决,实际操作无效。
有人说执行该命令的时候会报错,说是签名问题,删除有问题的签名即可。但是看我的终端输出并没有相关的签名报错信息。
命中:1 http://cn.archive.ubuntu.com/ubuntu xenial InRelease
命中:2 http://cn.archive.ubuntu.com/ubuntu xenial-updates InRelease
命中:3 http://cn.archive.ubuntu.com/ubuntu xenial-backports InRelease
命中:4 http://cn.archive.ubuntu.com/ubuntu xenial-security InRelease
命中:5 http://archive.canonical.com/ubuntu xenial InRelease
命中:6 http://ppa.launchpad.net/jtaylor/keepass/ubuntu xenial InRelease
忽略:7 http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu xenial InRelease
忽略:8 http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu xenial Release
忽略:9 http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu xenial/main amd64 Packages.diff/Index
忽略:10 http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu xenial/main i386 Packages.diff/Index
忽略:11 http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu xenial/main all Packages
忽略:12 http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu xenial/main Translation-zh_CN
忽略:13 http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu xenial/main Translation-zh
忽略:14 http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu xenial/main Translation-en.diff/Index
忽略:15 http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu xenial/main amd64 DEP-11 Metadata
忽略:16 http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu xenial/main DEP-11 64x64 Icons
忽略:17 http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu xenial/main amd64 Packages
忽略:18 http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu xenial/main i386 Packages
忽略:11 http://101.110.118.40/ppa.launchpad.net ... ppa/ubuntu xenial/main all Packages
忽略:12 http://101.110.118.41/ppa.launchpad.net ... ppa/ubuntu xenial/main Translation-zh_CN
忽略:13 http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu xenial/main Translation-zh
忽略:19 http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu xenial/main Translation-en
忽略:15 http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu xenial/main amd64 DEP-11 Metadata
忽略:16 http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu xenial/main DEP-11 64x64 Icons
忽略:17 http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu xenial/main amd64 Packages
忽略:18 http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu xenial/main i386 Packages
忽略:11 http://101.110.118.40/ppa.launchpad.net ... ppa/ubuntu xenial/main all Packages
忽略:12 http://101.110.118.41/ppa.launchpad.net ... ppa/ubuntu xenial/main Translation-zh_CN
忽略:13 http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu xenial/main Translation-zh
忽略:19 http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu xenial/main Translation-en
忽略:15 http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu xenial/main amd64 DEP-11 Metadata
忽略:16 http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu xenial/main DEP-11 64x64 Icons
忽略:17 http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu xenial/main amd64 Packages
忽略:18 http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu xenial/main i386 Packages
忽略:11 http://101.110.118.40/ppa.launchpad.net ... ppa/ubuntu xenial/main all Packages
忽略:12 http://101.110.118.41/ppa.launchpad.net ... ppa/ubuntu xenial/main Translation-zh_CN
忽略:13 http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu xenial/main Translation-zh
忽略:19 http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu xenial/main Translation-en
忽略:15 http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu xenial/main amd64 DEP-11 Metadata
忽略:16 http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu xenial/main DEP-11 64x64 Icons
忽略:17 http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu xenial/main amd64 Packages
忽略:18 http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu xenial/main i386 Packages
忽略:11 http://101.110.118.40/ppa.launchpad.net ... ppa/ubuntu xenial/main all Packages
忽略:12 http://101.110.118.41/ppa.launchpad.net ... ppa/ubuntu xenial/main Translation-zh_CN
忽略:13 http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu xenial/main Translation-zh
忽略:19 http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu xenial/main Translation-en
忽略:15 http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu xenial/main amd64 DEP-11 Metadata
忽略:16 http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu xenial/main DEP-11 64x64 Icons
忽略:17 http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu xenial/main amd64 Packages
忽略:18 http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu xenial/main i386 Packages
忽略:11 http://101.110.118.40/ppa.launchpad.net ... ppa/ubuntu xenial/main all Packages
忽略:12 http://101.110.118.41/ppa.launchpad.net ... ppa/ubuntu xenial/main Translation-zh_CN
忽略:13 http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu xenial/main Translation-zh
忽略:19 http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu xenial/main Translation-en
忽略:15 http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu xenial/main amd64 DEP-11 Metadata
忽略:16 http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu xenial/main DEP-11 64x64 Icons
错误:17 http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu xenial/main amd64 Packages
404 Not Found
忽略:18 http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu xenial/main i386 Packages
忽略:19 http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu xenial/main Translation-en
正在读取软件包列表... 完成
N: 忽略‘20auto-upgrades.ucf-dist’(于目录‘/etc/apt/apt.conf.d/’),鉴于它的文件扩展名无效
W: 目标 Packages (partner/binary-amd64/Packages) 在 /etc/apt/sources.list:45 和 /etc/apt/sources.list.d/xenial-partner.list:4 中被配置了多次
W: 目标 Packages (partner/binary-i386/Packages) 在 /etc/apt/sources.list:45 和 /etc/apt/sources.list.d/xenial-partner.list:4 中被配置了多次
W: 目标 Packages (partner/binary-all/Packages) 在 /etc/apt/sources.list:45 和 /etc/apt/sources.list.d/xenial-partner.list:4 中被配置了多次
W: 目标 Translations (partner/i18n/Translation-zh_CN) 在 /etc/apt/sources.list:45 和 /etc/apt/sources.list.d/xenial-partner.list:4 中被配置了多次
W: 目标 Translations (partner/i18n/Translation-zh) 在 /etc/apt/sources.list:45 和 /etc/apt/sources.list.d/xenial-partner.list:4 中被配置了多次
W: 目标 Translations (partner/i18n/Translation-en) 在 /etc/apt/sources.list:45 和 /etc/apt/sources.list.d/xenial-partner.list:4 中被配置了多次
W: 目标 DEP-11 (partner/dep11/Components-amd64.yml) 在 /etc/apt/sources.list:45 和 /etc/apt/sources.list.d/xenial-partner.list:4 中被配置了多次
W: 目标 DEP-11-icons (partner/dep11/icons-64x64.tar) 在 /etc/apt/sources.list:45 和 /etc/apt/sources.list.d/xenial-partner.list:4 中被配置了多次
W: 仓库 “http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu xenial Release” 没有 Release 文件。
N: 无法认证来自该源的数据,所以使用它会带来潜在风险。
N: 参见 apt-secure(8) 手册以了解仓库创建和用户配置方面的细节。
E: 无法下载 http://ppa.launchpad.net/rabbitvcs/ppa/ ... 4/Packages 404 Not Found
E: 部分索引文件下载失败。如果忽略它们,那将转而使用旧的索引文件。
W: 目标 Packages (partner/binary-amd64/Packages) 在 /etc/apt/sources.list:45 和 /etc/apt/sources.list.d/xenial-partner.list:4 中被配置了多次
W: 目标 Packages (partner/binary-i386/Packages) 在 /etc/apt/sources.list:45 和 /etc/apt/sources.list.d/xenial-partner.list:4 中被配置了多次
W: 目标 Packages (partner/binary-all/Packages) 在 /etc/apt/sources.list:45 和 /etc/apt/sources.list.d/xenial-partner.list:4 中被配置了多次
W: 目标 Translations (partner/i18n/Translation-zh_CN) 在 /etc/apt/sources.list:45 和 /etc/apt/sources.list.d/xenial-partner.list:4 中被配置了多次
W: 目标 Translations (partner/i18n/Translation-zh) 在 /etc/apt/sources.list:45 和 /etc/apt/sources.list.d/xenial-partner.list:4 中被配置了多次
W: 目标 Translations (partner/i18n/Translation-en) 在 /etc/apt/sources.list:45 和 /etc/apt/sources.list.d/xenial-partner.list:4 中被配置了多次
W: 目标 DEP-11 (partner/dep11/Components-amd64.yml) 在 /etc/apt/sources.list:45 和 /etc/apt/sources.list.d/xenial-partner.list:4 中被配置了多次
W: 目标 DEP-11-icons (partner/dep11/icons-64x64.tar) 在 /etc/apt/sources.list:45 和 /etc/apt/sources.list.d/xenial-partner.list:4 中被配置了多次

哪位大神可以帮忙看看是什么情况啊。


页首
 用户资料  
 
2 楼 
 文章标题 : Re: Ubuntu 16.04 软件更新提示“需要安装不能信任的软件包”
帖子发表于 : 2017-06-17 12:13 
头像

注册: 2011-03-20 13:12
帖子: 4486
地址: 山东省寿光县
系统: Debian
送出感谢: 105
接收感谢: 985
ak-47-leiming 写道:
使用Ubuntu 16.04 的时候,突然出现了"需要安装不能信任的软件包"的提示,无法安装更新

这个地方说的再具体一点,有没有具体错误信息

ak-47-leiming 写道:
W: 仓库 “http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu xenial Release” 没有 Release 文件。
N: 无法认证来自该源的数据,所以使用它会带来潜在风险。

rabbitvcs 的 PPA 不支持 16.04,需要删掉


_________________
Debian 中文论坛 - forums.debiancn.org
欢迎所有 Debian GNU/Linux 用户


页首
 用户资料  
 
3 楼 
 文章标题 : Re: Ubuntu 16.04 软件更新提示“需要安装不能信任的软件包”
帖子发表于 : 2017-06-17 17:35 

注册: 2009-08-04 16:33
帖子: 16721
送出感谢: 21
接收感谢: 1816
引用:
错误:17 http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu xenial/main amd64 Packages
404 Not Found

引用:
W: 仓库 “http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu xenial Release” 没有 Release 文件。
N: 无法认证来自该源的数据,所以使用它会带来潜在风险。

http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu/dists/
只支援到 utopic/
沒有 xenial/

從 /etc/apt/sources.list.d/*.list
把含有 http://ppa.launchpad.net/rabbitvcs/ppa/ubuntu ... 的 *.list 檔案移除


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 3 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译